
Redmine - Defect #24160

Gantt diagram returns internal error

2016-10-24 18:30 - Pavel Koreshkov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.1

Description

I have an error on /projects/s-org_ipd/issues/gantt

system info

Environment:

  Redmine version                3.3.1.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [i386-linux-gnu]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            2.1.4

  Filesystem

Redmine plugins:

  no plugin installed

information from logfile

30162 Started GET "/projects/s-org_ipd/issues/gantt" for ███.███.███.███ at █████████ ████████ +██

██

30163 Processing by GanttsController#show as HTML

30164   Parameters: {"project_id"=>"s-org_ipd"}

30165   Current user: ███████████ (id=██)

30166   Rendered queries/_filters.html.erb (13.5ms)

30167   Rendered gantts/show.html.erb within layouts/base (90.5ms)

30168 Completed 500 Internal Server Error in 434ms (ActiveRecord: 102.3ms)

30169

30170 ActionView::Template::Error (undefined method `-@' for Sat, 01 Oct 2016:Date):

30171     107: ^M

30172     108:   # Width of the entire chart^M

30173     109:   g_width = ((@gantt.date_to - @gantt.date_from + 1) * zoom).to_i^M

30174     110:   @gantt.render(:top => headers_height + 8,^M

30175     111:                 :zoom => zoom,^M

30176     112:                 :g_width => g_width,^M

30177     113:                 :subject_width => subject_width)^M

30178   lib/redmine/helpers/gantt.rb:575:in `coordinates'

30179   lib/redmine/helpers/gantt.rb:330:in `line'

30180   lib/redmine/helpers/gantt.rb:293:in `line_for_project'

30181   lib/redmine/helpers/gantt.rb:258:in `render_object_row'

30182   lib/redmine/helpers/gantt.rb:216:in `render_project'

30183   lib/redmine/helpers/gantt.rb:205:in `block in render'

30184   app/models/project.rb:809:in `block in project_tree'

30185   app/models/project.rb:805:in `each'

30186   app/models/project.rb:805:in `project_tree'

30187   lib/redmine/helpers/gantt.rb:203:in `render'

30188   app/views/gantts/show.html.erb:110:in `_app_views_gantts_show_html_erb___499571926_1013752

60'

30189   app/controllers/gantts_controller.rb:43:in `block (2 levels) in show'

30190   app/controllers/gantts_controller.rb:42:in `show'

2025-05-12 1/2



30191   lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2016-10-25 04:36 - Toshi MARUYAMA

No idea.

Could you update Ruby?

#2 - 2016-10-26 12:03 - Holger Just

In your code excerpt, it seems that you have windows line-endings (\r\n). This might confuse Ruby's code parser.

In the original file, there are linux line-endings (just \n). It might be that through your deployemtn mechanism, the line-endigns were converted. Please

check that your code-files all have just linux line-endings.

#3 - 2019-10-01 04:48 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid
